<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0 bug datetime
 */

// If we have found SSI.php and we are outside of ELK, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('ELK')) // If we are outside ELK and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as Elkarte\'s SSI.php.');

global $db_prefix;

	$db = database();

	$db->query('', 'CREATE TABLE {db_prefix}chat_online (
		userID INT(11) NOT NULL,
		userName VARCHAR(64) NOT NULL,
		userRole INT(1) NOT NULL,
		channel INT(11) NOT NULL,
		dateTime DATETIME NOT NULL,
		ip VARBINARY(16) NOT NULL,
		PRIMARY KEY (userID),
		INDEX (userName)
	) DEFAULT CHARSET=utf8 COLLATE=utf8_bin', array());

	$db->query('', 'CREATE TABLE {db_prefix}chat_messages (
		id INT(11) NOT NULL AUTO_INCREMENT,
		userID INT(11) NOT NULL,
		userName VARCHAR(64) NOT NULL,
		userRole INT(1) NOT NULL,
		channel INT(11) NOT NULL,
		dateTime DATETIME NOT NULL,
		ip VARBINARY(16) NOT NULL,
		text TEXT,
		PRIMARY KEY (id),
		INDEX message_condition (id, channel, dateTime),
		INDEX (dateTime)
	) DEFAULT CHARSET=utf8 COLLATE=utf8_bin', array());

	$db->query('', 'CREATE TABLE {db_prefix}chat_bans (
		userID INT(11) NOT NULL,
		userName VARCHAR(64) NOT NULL,
		dateTime DATETIME NOT NULL,
		ip VARBINARY(16) NOT NULL,
		PRIMARY KEY (userID),
		INDEX (userName),
		INDEX (dateTime)
	) DEFAULT CHARSET=utf8 COLLATE=utf8_bin', array());

	$db->query('', 'CREATE TABLE {db_prefix}chat_invitations (
		userID INT(11) NOT NULL,
		channel INT(11) NOT NULL,
		dateTime DATETIME NOT NULL,
		PRIMARY KEY (userID, channel),
		INDEX (dateTime)
	) DEFAULT CHARSET=utf8 COLLATE=utf8_bin', array());


if (ELK == 'SSI')
		echo 'Database adaptation successful!';