<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.1
 */

// If we have found SSI.php and we are outside of Elkarte, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('ELK'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('ELK')) // If we are outside Elkarte and can't find SSI.php, then throw an error
	die('<b>Error:</b> Cannot uninstall - please verify you put this file in the same place as Elkarte\'s SSI.php.');

global $db_prefix, $modSettings;

	$db = database();

	$db->query('', "DROP TABLE IF EXISTS {db_prefix}chat_online");
	$db->query('', "DROP TABLE IF EXISTS {db_prefix}chat_messages");
	$db->query('', "DROP TABLE IF EXISTS {db_prefix}chat_bans");
	$db->query('', "DROP TABLE IF EXISTS {db_prefix}chat_invitations");

// Only do database changes on uninstall if requested.
if (!empty($_POST['do_db_changes']))
{
	global $db_prefix, $modSettings;

	$db = database();

	// List all mod settingss here to REMOVE
	$settings_to_remove = array(
	'talk_chatEnable',
	'talk_chatPage',
	'talk_aboveIndex',
	'talk_belowIndex',
	'talk_buttonInside',
	'talk_userInside',
);

		// Remove the mod_settings if applicable, first the session
		foreach ($settings_to_remove as $setting)
			if (isset($modSettings[$setting]))
				unset($modSettings[$setting]);

		// And now the database values
		$db->query('', '
			DELETE FROM {db_prefix}settings
			WHERE variable IN ({array_string:settings})',
			array(
				'settings' => $settings_to_remove,
			)
		);

		// Make sure the cache is reset as well
		updateSettings(array(
			'settings_updated' => time(),
		));

// And tell SMF we've updated $modSettings
updateSettings(array(
	'settings_updated' => time(),
));

	$permission = array(
	'talk_adminChat',	//Administrator
	'talk_modChat',	// Moderator
	'talk_viewChat',	// Chat view
	'talk_postShoutbox',	// Shoutbox post
	'talk_insideChat',	// Chatuser inside
);

		// Remove the permissions if applicable, first the session
		foreach ($permission as $permissions)
			if (isset($permission[$permissions]))
				unset($permission[$permissions]);
			// Remove from the database; updatePermission can't actually remove them, it seems :(
		$db->query('', '
			DELETE FROM {db_prefix}permissions
			WHERE permission IN ({array_string:permissions})',
		array(
				'permissions' => $permission,
			)
		);

	if (ELK == 'SSI')
		echo 'Congratulations! You have successfully removed this Addon!';
}