<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0
 */

if (!defined('ELK'))
	die('No access...');


function ias_talk(&$actions)
{
	$actions['chat'] = array('Talk.controller.php', 'Talk_Controller', 'action_chat');
}

function ica_talk(&$current_action)
{
	if ($current_action === 'chat')
	{
		if (empty($_REQUEST['action']))
			$current_action = 'chat';
	}
}

function pre_dispatch()
{
	global $txt, $context, $modSettings, $scripturl, $options;

	// Some things we will need
	loadLanguage('Talk');
	isAllowedTo('talk_viewChat');

	// If GMM is disabled, we don't go any further
	if (empty($modSettings['talk_chatEnable']))
		fatal_lang_error('talk_off', true);
	// Are we allowed to view the map?
}

function ilt_talk()
{
	loadTemplate('Talk');
	loadCSSFile('shoutbox.css');
}

function imp_talk(&$buttons, &$menu_count)
{
	global $context, $txt, $boardurl, $scripturl, $modSettings;

	loadLanguage('Talk');

	if (empty($modSettings['talk_chatEnable'])){
		$context['allow_talk'] = allowedTo('talk_viewChat') && !empty($modSettings['talk_chatEnable']);
	}
	else{
		$context['allow_talk'] = allowedTo('talk_viewChat') && !empty($modSettings['talk_chatPage']);
	}

	$num = allowedTo('talk_insideChat') && empty($modSettings['talk_buttonInside']) ? 0 : count(talkInsideUsers());
	$talkButton = $txt['talk_index'];
	$talkButton .= ($num > 0) ?  ('('.$num.')') : '';

	$buttons = elk_array_insert($buttons, 'unread', array(
			'chat' => array(
				'title' => $talkButton,
				'href' => $scripturl . '?action=chat',
				'data-icon' => '&#xf0c0;',
				'show' => $context['allow_talk'],
			),
	));
}

function ihp_talk()
{
	// Load the Chat Help file.
	loadLanguage('Talk');
}

function iaa_talk(&$admin_areas)
{
	global $txt;

	loadLanguage('Talk');

	// our chat tab, under
	//$admin_areas['config']['areas']
	$talk = array('talk' => array(
		'label' => $txt['talk_index'],
		'file' => 'ManageTalk.controller.php',
		'controller' => 'ManageTalk_Controller',
		'function' => 'action_index',
		'icon' => 'chat.png',
		'permission' => array('admin_forum'),
		'subsections' => array(
			'main' => array($txt['talk_main_settings']),
			'info' => array($txt['talkhelp_index']),
		))
	);
	$insert_before = 'addonsettings';
	$admin_areas['config']['areas'] = elk_array_insert($admin_areas['config']['areas'], $insert_before, $talk, 'before');
}

function ilp_talk(&$permissionGroups, &$permissionList, &$leftPermissionGroups, &$hiddenPermissions, &$relabelPermissions)
{
	global $context, $txt, $helptxt, $modSettings;

	loadLanguage('Talk');

	$permissionList['membergroup']['talk_adminChat'] = array(false, 'talk');
	$permissionList['membergroup']['talk_modChat'] = array(false, 'talk');
	$permissionList['membergroup']['talk_viewChat'] = array(false, 'talk');
	$permissionList['membergroup']['talk_postShoutbox'] = array(false, 'talk');
	$permissionList['membergroup']['talk_insideChat'] = array(false, 'talk');

	$permissionGroups['membergroup'][] = 'talk';

}

function ips_talk()
{
	global $context, $txt, $helptxt, $modSettings;

	loadLanguage('Talk');

	$context['non_guest_permissions'] = array_merge($context['non_guest_permissions'], array(
		'talk_adminChat',
		'talk_modChat',
	));
}

function iwo_talk($actions)
{
	global $scripturl, $modSettings, $txt;

	$data = null;

	loadLanguage('Talk');

	// If its a portal action, lets check it out.
	if (isset($actions['page']))
		$data = whos_online_page($actions['page']);

	return $data;
}