<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0
 */

if (!defined('ELK'))
	die('No access...');

class Talk_Controller extends Action_Controller
{
	public function pre_dispatch()
	{
		global $modSettings;

			loadLanguage('Talk');

			isAllowedTo('talk_viewChat');

		if (empty($modSettings['talk_chatEnable'])){
			fatal_lang_error('talk_off', false);
		}
	}

	public function action_index()
	{
		return $this->action_talk();
	}

	public function action_talk()
	{
		global $txt, $user_info, $modSettings, $context, $settings, $scripturl;

		loadLanguage('Talk');
		loadCSSFile('chat.css');

		$context['sub_template'] = 'talk';
		$context['page_title'] = $context['forum_name'] . ' - ' . $txt['talk_index'];
		// Build the link tree.
		$context['linktree'][] = array(
			'url' => $scripturl . '?action=chat',
			'name' => $txt['talk_index'],
		);
	}
}