<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0
 */

function template_talk()
{
	global $context, $modSettings, $txt;

	if (allowedTo('talk_viewChat') && !empty($modSettings['talk_chatPage'])){

	echo '
		<div id="chatmain">
			<iframe src="talk/index.php" width="100%" height="600" frameborder="0" scrolling="auto"></iframe>
		<hr />
			<!--
				Please retain the full copyright notice below including the link to blueimp.net.
				This not only gives respect to the amount of time given freely by the developer
				but also helps build interest, traffic and use of AJAX Chat.
				Thanks,
				Sebastian Tschan
			//-->
			<div class="copyright">
				<a href="https://blueimp.net/ajax/" target="_blank" class="new_win">AJAX Chat</a> &copy; <a href="https://blueimp.net" target="_blank" class="new_win">blueimp.net</a>
				|
				<a href="http://www.elkarte.net/community/index.php?topic=2929.0" target="_blank" class="new_win">ElkArte Addon Ajax Chat</a> powered by &copy; <a href="http://www.scaricare.de" target="_blank" class="new_win">Scaricare.de</a>
			</div>
		</div>';
	}
	else {
		fatal_lang_error('talk_pageoff', false);
	}
}

function template_inc_talk_userInside()
{
	global $scripturl, $settings, $modSettings, $context, $txt;

	$db = database();

	$userIDs = talkInsideUsers();
	$context['talk_links'] = array();
	if (count($userIDs) > 0){
		if (count($userIDs) == 1){
			$request = $db->query('', '
				SELECT mem.ID_MEMBER, mem.real_name, mem.ID_GROUP, mg.online_color, mg.ID_GROUP
					FROM	{db_prefix}members AS mem
					LEFT JOIN {db_prefix}membergroups AS mg ON
					(mg.ID_GROUP = IF(mem.ID_GROUP = 0, mem.ID_POST_GROUP, mem.ID_GROUP)) WHERE mem.ID_MEMBER = {int:the_id}' ,
				array('the_id' => $userIDs[0],	)
				);
			}else{
				$request = $db->query('', '
					SELECT mem.ID_MEMBER, mem.real_name, mem.ID_GROUP, mg.online_color, mg.ID_GROUP
						FROM	{db_prefix}members AS mem
						LEFT JOIN {db_prefix}membergroups AS mg ON
						(mg.ID_GROUP = IF(mem.ID_GROUP = 0, mem.ID_POST_GROUP, mem.ID_GROUP)) WHERE mem.ID_MEMBER IN ({array_int:the_ids})',
					array('the_ids' => $userIDs,)
				);
			}
			while ($row = $db->fetch_assoc($request))
				{
				$link = '<a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'];
				if($row['online_color'] != ""){
					$link.= '" style="color: ' . $row['online_color'];
				}
				$link.= '">' . $row['real_name'] . '</a>';
				array_push($context['talk_links'], $link);
				}
			$db->free_result($request);
			}

	if (!empty($modSettings['talk_userInside'])&& allowedTo('talk_insideChat')){

		echo '
			<li class="board_row">
				<h3 class="ic_section_header">
					 <img class="icon" src="', $settings['images_url'], '/icons/chat.png', '" alt="', $txt['talk_insideMembers'], '" />
					', $txt['talk_insideMembers'], '';
		echo '
				</h3>

					<p class="inline">';
						// users in chat
						if (isset($context['talk_links'])){
							if (count($context['talk_links']) == 0 )
								echo ' ' . $txt['talk_no_Member'];
								elseif (count($context['talk_links']) == 1 )
								echo '   1' . $txt['talk_aMember']. ': ', implode($context['talk_links']);
							else
							echo '  ' . count($context['talk_links']). $txt['talk_Members']. ': ', implode(', ', $context['talk_links']);
						}
		}

		echo '
					</p>';

		echo '
			</li>';
}


function template_inc_talk_aboveIndex()
{
	global $modSettings, $context, $txt;

	if (!empty($modSettings['talk_aboveIndex'])&& allowedTo('talk_postShoutbox')){

	echo'
		<div id="category" class="forum_category">
		<h2 class="category_header">
			<span id="category_toggle">&nbsp;
				<span id="tkshrink_ic" class="', empty($context['minmax_preferences']['info']) ? 'collapse' : 'expand', '" style="display: none;" title="', $txt['hide'], '"></span>
			</span>
			<a href="#" id="tkshrink_link">', sprintf($txt['talk_shoutbox_title'], $context['forum_name_html_safe']), '</a>
		</h2>
 		<div class="forum_category" id="category">
		<ul id="tkshrinkHeaderIC" class="category_boards"', empty($context['minmax_preferences']['info']) ? '' : ' style="display: none;"', '>
				<li class="board_row">
					', getShoutBoxContent() ,'
				</li>
			</ul>
		</div>
	</div>';

	template_inc_talk_js();
	}
}

function template_inc_talk_belowIndex()
{
	global $modSettings, $context, $txt;

	if (!empty($modSettings['talk_belowIndex'])&& allowedTo('talk_postShoutbox')){

	echo'
		<div id="category" class="forum_category">
		<h2 class="category_header">
			<span id="category_toggle">&nbsp;
				<span id="tkshrink_ic" class="', empty($context['minmax_preferences']['info']) ? 'collapse' : 'expand', '" style="display: none;" title="', $txt['hide'], '"></span>
			</span>
			<a href="#" id="tkshrink_link">', sprintf($txt['talk_shoutbox_title'], $context['forum_name_html_safe']), '</a>
		</h2>
		<div class="forum_category" id="category">
		<ul id="tkshrinkHeaderIC" class="category_boards"', empty($context['minmax_preferences']['info']) ? '' : ' style="display: none;"', '>
				<li class="board_row">
					', getShoutBoxContent() ,'
				</li>
			</ul>
		</div>
	</div>';

	template_inc_talk_js();
	}
}

function template_inc_talk_js()
{
	global $modSettings, $context, $txt;

	echo'
	<script><!-- // --><![CDATA[
		var oShoutToggle = new elk_Toggle({
			bToggleEnabled: true,
			bCurrentlyCollapsed: ', empty($context['minmax_preferences']['info']) ? 'false' : 'true', ',
			aSwappableContainers: [
				\'tkshrinkHeaderIC\'
			],
			aSwapClasses: [
				{
					sId: \'tkshrink_ic\',
					classExpanded: \'collapse\',
					titleExpanded: ', JavaScriptEscape($txt['hide']), ',
					classCollapsed: \'expand\',
					titleCollapsed: ', JavaScriptEscape($txt['show']), '
				}
			],
			aSwapLinks: [
				{
					sId: \'tkshrink_link\',
					msgExpanded: ', JavaScriptEscape(sprintf($txt['talk_shoutbox_title'], $context['forum_name_html_safe'])), ',
					msgCollapsed: ', JavaScriptEscape(sprintf($txt['talk_shoutbox_title'], $context['forum_name_html_safe'])), '
				}
			],
			oThemeOptions: {
				bUseThemeSettings: ', $context['user']['is_guest'] ? 'false' : 'true', ',
				sOptionName: \'minmax_preferences\',
				sSessionId: elk_session_id,
				sSessionVar: elk_session_var,
				sAdditionalVars: \';minmax_key=info\'
			},
			oCookieOptions: {
				bUseCookie: ', $context['user']['is_guest'] ? 'true' : 'false', ',
				sCookieName: \'tkshrinkIC\'
			}
		});
	// ]]></script>';
}