<?php
/**
 * ElkArte Ajax Chat
 *
 * @author  wintstar
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @license Bluimp's AJAX Chat is released under a Modified MIT License (MIT) https://raw.githubusercontent.com/Frug/AJAX-Chat/master/chat/license.txt
 *
 * @version 1.0.0
 */

global $text, $scripturl, $context, $helptxt;

//Generell
$txt['talk_index']			 = 'Chat';
$txt['talk_insideMembers']	 = 'Users online now';
$txt['talk_aMember']		 = ' User in the chat';
$txt['talk_Members']		 = ' Users in the chat';
$txt['talk_no_Member']		 = 'No Users in the chat';
$txt['talk_shoutbox_title']	 = 'Shoutbox';


//Administator-Center
$txt['talk_help']				 =	'Here you can change the settings of special functions that are integrated in the chat.';
$txt['talk_main_settings']		 = 'Settings';
$txt['talk_aboveIndex']			 = 'Enable shoutbox above the Board Categories *';
$txt['talk_belowIndex']			 = 'Enable shoutbox below the Board Categories *';
$txt['talk_info']				 = '* ever enable only one position';
$txt['talk_chatPage']			 = 'Enable Chat page';
$txt['talk_chatEnable']			 = 'Enable Ajax Chat Addon';
$txt['talk_buttonInside']		 = 'Display in the menu next to the chat button, the number of users there are in the chat online?';
$txt['talk_userInside']			 = 'Display "Who members are in the chat online?"';
$txt['talk_description_main']	 = 'Here you can configure the chat for the Board. You can find more information about settings in the <a href="' . $scripturl . '?action=admin;area=talk;sa=info"><strong>Ajax Chat Tips</strong></a>. In the permissions Administration Center , existing group <a href="' . $scripturl . '?action=admin;area=permissions" target="_blank"><strong>permissions</strong></a> can be used individually for each. Moderators and administrators are in the chat the chat moderators and chat administrators. Moderators can delete all messages except for the messages of the administrator.';
$txt['talk_description_info']	 = 'The AJAX Chat contains two additional configuration files:<br /><strong>root*/chat/lib/config.php</strong> - This file contains the <strong> server-side (PHP) settings</strong><br /><strong>root*/chat/js/config.js</strong> - This file contains the <strong>client-side (JavaScript) settings</strong><br /><small>* root is the folder where the file Settings.php is located</small>';

//Permission
$txt['permissiongroup_talk']				 = 'Chat';
$txt['permissionname_talk_adminChat']		 = 'Can administer the Chat';
$txt['permissionhelp_talk_adminChat']		 = 'This authorization includes:<br />Delete messages in the chat<br />Ban users in the chat';
$txt['permissionname_talk_modChat']			 = 'Can moderate the Chat';
$txt['permissionhelp_talk_modChat']			 = 'This authorization includes:<br />Delete messages in the chat';
$txt['permissionname_talk_viewChat']		 = 'Can see the Chat';
$txt['permissionhelp_talk_viewChat']		 = 'This permission allows the user to send messages in the chat. Without this permission, he can not access this area.';
$txt['permissionname_talk_postShoutbox']	 = 'Can submit messages in the shoutbox.';
$txt['permissionhelp_talk_postShoutbox']	 = 'This permission allows the user to send messages in the chat. Requires "Can see the Chat".';
$txt['permissionname_talk_insideChat']		 = 'Can "Who is on chat online?" look at';
$txt['permissionhelp_talk_insideChat']		 = '"Who is in the chat room?" displays all users who are currently in the chat';

//Error
$txt['cannot_talk_adminChat']		 = 'You do not have administrator rights.';
$txt['cannot_talk_modChat'] 		 = 'You do not have moderator rights.';
$txt['cannot_talk_viewChat']		 = 'You do not have the necessary permission to access the chat.';
$txt['cannot_talk_postShoutbox']	 = 'You do not have the necessary permission to access the shoutbox.';
$txt['cannot_talk_insideChat']		 = 'You do not have the necessary authorization, which is who to watch in our chat list.';

//Help
$helptxt['talk_aboveIndex']		 = 'Enable the shoutbox above the Board index.';
$helptxt['talk_belowIndex']		 = 'Enable the shoutbox below the Board index.';
$helptxt['talk_buttonInside']	 = 'Enable next to the menu button, the number of users who are chatting online.';
$helptxt['talk_userInside']		 = 'Enable the "Who is online?" - function, which displays the user who is online and what the user is viewing.';
$helptxt['talk_chatPage']		 = 'Enable the chat as a separate page.';

//Info
$txt['talkhelp_index']		 = 'Ajax Chat Tips';
$txt['talkhelp_example1']	 = '<strong>root*/chat/lib/config.php</strong>';
$txt['talkhelp_example2']	 = '<strong>Users / members</strong>';
$txt['talkhelp_example3']	 = '<h3>Delete messages</h3>So that registered members can not delete their own messages, enter false here instead of true:<br />Find<br />// Allow/Disallow registered users to delete their own messages:<br />$config[\'allowUserMessageDelete\'] = true;<br /><br /><h3>User after logging on divert to a custom URL</h3>Find<br>$config[\'logoutData\'] = \'http://example.org\';<br />Here you can enter your desired URL.';
$txt['talkhelp_example4']	 = '<strong>Chat closing</strong>';

$txt['talkhelp_example5']	 = 'Find<br>$config[\'chatClosed\'] = false;<br />Here you can enter "true". If enabled, the chat only for the admin will be accessible.<br /><br /><h3>Certain days / time</h3>Find<br />// Defines the hour of the day the chat is opened (0 - closingHour):<br />$config[\'openingHour\'] = 0;<br />// Defines the hour of the day the chat is closed (openingHour - 24):<br />$config[\'closingHour\'] = 24;<br />Enter here the full hour from the time when the chat will be open. Example: For 09:00 p.m-20:00 a.m enter 9 and 20.
<br />Find<br>$config[\'openingWeekDays\'] =  array(0,1,2,3,4,5,6);<br />Defines the weekdays the chat is opened (0=Sunday to 6=Saturday).<br /><strong>If changes are made here, is the configuration of "$config[\'chatClosed\']" is without function!</strong>';
$txt['talkhelp_example6']	 = '<strong>Guest configuration</strong>';
$txt['talkhelp_example7']	 = 'The access permissions for guests are set under <a href="' . $scripturl . '?action=admin;area=permissions" target="_blank"><strong>permissions</strong></a>. With this modification, this configuration without function:<br />Find<br>$config[\'allowGuestLogins\'] = true;<br />The access permissions for guests have be enabled, you can disable set write permissions for guests:<br />Find<br>$config[\'allowGuestWrite\'] = true;<br />You can enter here false instead of true.';
$txt['talkhelp_example8']	 = '<strong>root*/chat/js/config.js</strong>';
$txt['talkhelp_example9']	 = '<strong>BBCode settings</strong>';
$txt['talkhelp_example10']	 = '<br/>Find<br>// Defines the settings which can be modified by users:<br/>settings: {<br />Enter "false" to disable certain BBCodes.<br />Own BBCodes can here in the <strong>root*/chat/js/config.js</strong> not inserted.<br />Lower list is compared to the file.';
$txt['talkhelp_example11']	 = 'settings: {';
$txt['talkhelp_example12']	 = '// Defines if BBCode tags are replaced with the associated HTML code tags:<br />bbCode: true,';
$txt['talkhelp_example13']	 = '...';
$txt['talkhelp_example14']	 = '// Defines if color BBCode is replaced with the associated color HTML code:<br />bbCodeColors: true,';
$txt['talkhelp_example15']	 = '<strong>Always empty the browser cache after each save! So the changes will take effect!</strong><br /><small>* root is the folder where the file Settings.php is located</small> ';
$txt['talkhelp_example16']	 = '<strong>Add smilies</strong>';
$txt['talkhelp_example17']	 = '<br />Find<br>// Defines the list of allowed emoticon codes:<br />emoticonCodes: [<br />&<br />// Defines the list of emoticon files associated with the emoticon codes:<br />emoticonFiles: [<br />Lower list is compared to the file.';
$txt['talkhelp_example18']	 = 'emoticonCodes: [';
$txt['talkhelp_example19']	 = 'emoticonFiles: [';
$txt['talkhelp_example20']	 = '\':)\',';
$txt['talkhelp_example21']	 = '\'smile.png\',';
$txt['talkhelp_example22']	 = '\':favorite:\'';
$txt['talkhelp_example23']	 = '\'favorite.png\'';
$txt['talkhelp_example24']	 = 'The smilie image file in the folder <strong>root*/chat/img/emoticons/</strong> insert. The file-name in the list <em>emoticonFiles</em> and the accompanying code-text list <em>emoticonCodes</em> insert.<br /><strong>Important!!! </strong>The file name and the text of the code must be in the list in the same position. At the end of the list can no comma <strong>,</strong> at the end of the file name and the code text be set.<br />Look up the table.';
$txt['talkhelp_example25']	 = '<strong>Channels / Private Messages</strong>';
$txt['talkhelp_example26']	 = 'If the AJAX Chat is used as an integration as well as with this modification, no separate channels can be created.<br />
Channels are the existing boards in the Forum.<br />
The permissions granted for these boards shall also apply in the channels. For example, if the allowable members group "Regular Members" was allocated for Board_1, then this "Regular Members"  have the permissions to entered this channel. If Board_1 "Guests" was not assigned as allowed group, this space can the members of the group "Guests" does not see and did not enter.<br />
These can be enabled or disabled, to do this you must enter the ID of the boards under root/chat/lib/config.php.<br />
Find<br />
// Default channelName used together with the defaultChannelID if no channel with this ID exists:<br />
$config[\'defaultChannelName\'] = \'Board-Chat\';<br />
// ChannelID used when no channel is given:<br />
$config[\'defaultChannelID\'] = 0;<br />
// Defines an array of channelIDs (e.g. array(0, 1)) to limit the number of available channels, will be ignored if set to null:<br />
$config[\'limitChannelList\'] = array(0, 1);<br />
Example: Board _1 has the ID = 1 in the clamp of array (0, 1), you can be entered the IDs of the boards as this channels be activated chatting.<br />
To view all boards as channels:<br />
Find<br />
$config[\'limitChannelList\'] = array(0, 1);<br />
replace with<br />
$config[\'limitChannelList\'] = null;<br />
To indicate a channel as the first in the drop-down menu to enter the ID of the Board instead of 0:<br />
Find<br />
$config[\'defaultChannelID\'] = 0;<br />
0 is the default channel is specified in the AJAX chat. This can not be deleted. The title can at will be changed. Replaced Board-chat with any name.<br /><br />
<h3>Private channels</h3>
Private channel is the user name of a user. This can be in the root/chat/lib/config.php enabled or disabled.<br />
Finde<br />
// Enable/Disable private Channels:<br />
$config[\'allowPrivateChannels\'] = true;<br />
Zum deaktivieren  false eingeben statt true.<br /><br />
<h3>Private Messages</h3>
Find<br />
// Enable/Disable private Messages:<br />
$config[\'allowPrivateMessages\'] = true;<br />
Enter here false instead of true.';
$txt['talkhelp_example27']	 = 'User';
$txt['talkhelp_example28']	 = 'BBCode';
$txt['talkhelp_example29']	 = 'Close chat';
$txt['talkhelp_example30']	 = 'Smilies';
$txt['talkhelp_example31']	 = 'Guests';
$txt['talkhelp_example32']	 = 'Channels / Private Messages';
$txt['talkhelp_example33']	 = 'config.php';
$txt['talkhelp_example34']	 = 'config.js';

//who is online
$txt['whoall_chat']	 = 'Is located on the <a href="' . $scripturl . '?action=chat">chat page</a>.';